Subject: Re: Problem with module installation under 2.4.x kernel

From: Kurt Wall <[email-masked]>
Date: Tue, 15 Oct 2002 12:58:57 -0400

Speaking on condition of anonymity, gguevel told us:
>
> I worked under Linux 2.2.x Kernel and I have no problem with the module
> generation.
>
> Now under Linux 2.4.x Kernel, I can compile modules and install them but
> I have the following warning while running "insmod xxxx"
> Warning: loading xxxx will taint the kernel: no license.
>
> Does anyone know what I must add to my module to avoid this warning ?

Putting

MODULE_LICENSE("GPL");

somewhere in the module source code should do nicely. Providing,
of course, that you wish to GPL your module.

Kurt
--
Q:	What is the difference between Texas and yogurt?
A:	Yogurt has culture.

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/